<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashCursor..::.Duplicate Method
HashCursor Class See Also Send Feedback

Create a new cursor that uses the same transaction and locker ID as the original cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public HashCursor Duplicate(
    	bool keepPosition
    )

Visual Basic (Declaration)

    Public Function Duplicate ( _
    	keepPosition As Boolean _
    ) As HashCursor

Visual C++

    public:
    HashCursor^ Duplicate(
    	bool keepPosition
    )

#### Parameters

keepPosition
  Type: System..::.Boolean
  If true, the newly created cursor is initialized to refer to the same position in the database as the original cursor (if any) and hold the same locks (if any). If false, or the original cursor does not hold a database position and locks, the created cursor is uninitialized and will behave like a cursor newly created by Cursor()()().

#### Return Value

A newly created cursor

# Remarks

This is useful when an application is using locking and requires two or more cursors in the same thread of control.

# See Also

HashCursor Class
BerkeleyDB Namespace